Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
version.h File Reference
`#include <botan/types.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | BOTAN_VERSION_CODE
#define | BOTAN_VERSION_CODE_FOR(a, b, c) ((a << 16) | (b << 8) | (c))

## Functions
std::string | Botan::runtime_version_check (uint32_t major, uint32_t minor, uint32_t patch)
const char * | Botan::version_cstr ()
uint32_t | Botan::version_datestamp ()
uint32_t | Botan::version_major ()
uint32_t | Botan::version_minor ()
uint32_t | Botan::version_patch ()
std::string | Botan::version_string ()

## Macro Definition Documentation

#define BOTAN_VERSION_CODE

Value:
BOTAN_VERSION_CODE_FOR(BOTAN_VERSION_MAJOR, \
BOTAN_VERSION_MINOR, \
BOTAN_VERSION_PATCH)
BOTAN_VERSION_CODE_FOR
#define BOTAN_VERSION_CODE_FOR(a, b, c)
Definition: version.h:71

Compare using BOTAN_VERSION_CODE_FOR, as in

# if BOTAN_VERSION_CODE < BOTAN_VERSION_CODE_FOR(1,8,0)

# error "Botan version too old"

# endif

Definition at line 79 of file version.h.

#define BOTAN_VERSION_CODE_FOR | ( |  | a,
|  |  | b,
|  |  | c
| ) |  | ((a << 16) | (b << 8) | (c))

Definition at line 71 of file version.h.